import{s as _t,n as kt,o as At}from"../chunks/scheduler.b108d059.js";import{S as Ut,i as Bt,g as a,s as l,r as s,A as Kt,h as r,f as n,c as i,j as Ft,u,x as g,k as Et,y as Rt,a as o,v as f,d as m,t as p,w as c}from"../chunks/index.008de539.js";import{H as d,E as Vt}from"../chunks/EditOnGithub.d1c48e3d.js";function St(nt){let h,ge,ae,se,C,ue,x,ot='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/google-cloud/thumbnail.png" alt="Hugging Face x Google Cloud"/>',fe,b,lt="Hugging Face collaborates with Google across open science, open source, cloud, and hardware to enable companies to build their own AI with the latest open models from Hugging Face and the latest cloud and hardware features from Google Cloud.",me,v,it="Hugging Face enables new experiences for Google Cloud customers. They can easily train and deploy Hugging Face models on Google Kubernetes Engine (GKE) and Vertex AI, on any hardware available in Google Cloud using Hugging Face Deep Learning Containers (DLCs).",pe,w,at='If you have any issues using Hugging Face on Google Cloud, you can get community support by creating a new topic in the <a href="https://discuss.huggingface.co/c/google-cloud/69/l/latest" rel="nofollow">Forum</a> dedicated to Google Cloud usage.',ce,T,de,$,rt="Hugging Face built Deep Learning Containers (DLCs) for Google Cloud customers to run any of their machine learning workload in an optimized environment, with no configuration or maintenance on their part. These are Docker images pre-installed with deep learning frameworks and libraries such as 🤗 Transformers, 🤗 Datasets, and 🤗 Tokenizers. The DLCs allow you to directly serve and train any models, skipping the complicated process of building and optimizing your serving and training environments from scratch.",he,G,gt="For training, our DLCs are available for PyTorch via 🤗 Transformers. They include support for training on both GPUs and TPUs with libraries such as 🤗 TRL, Sentence Transformers, or 🧨 Diffusers.",Ce,y,st="For inference, we have a general-purpose PyTorch inference DLC, for serving models trained with any of those frameworks mentioned before on both CPU and GPU. There is also the Text Generation Inference (TGI) DLC for high-performance text generation of LLMs on both GPU and TPU. Finally, there is a Text Embeddings Inference (TEI) DLC for high-performance serving of embedding models on both CPU and GPU.",xe,L,ut='The DLCs are hosted in <a href="https://console.cloud.google.com/artifacts/docker/deeplearning-platform-release/us/gcr.io" rel="nofollow">Google Cloud Artifact Registry</a> and can be used from any Google Cloud service such as Google Kubernetes Engine (GKE), Vertex AI, or Cloud Run (in preview).',be,H,ft='Hugging Face DLCs are open source and licensed under Apache 2.0 within the <a href="https://github.com/huggingface/Google-Cloud-Containers" rel="nofollow">Google-Cloud-Containers</a> repository. For premium support, our <a href="https://huggingface.co/support" rel="nofollow">Expert Support Program</a> gives you direct dedicated support from our team.',ve,I,mt="You have two options to take advantage of these DLCs as a Google Cloud customer:",we,P,pt='<li>To <a href="https://huggingface.co/blog/google-cloud-model-garden" rel="nofollow">get started</a>, you can use our no-code integrations within Vertex AI or GKE.</li> <li>For more advanced scenarios, you can pull the containers from the Google Cloud Artifact Registry directly in your environment. <a href="https://github.com/huggingface/Google-Cloud-Containers/tree/main/examples" rel="nofollow">Here</a> is a list of notebooks examples.</li>',Te,M,$e,D,ct="The Hugging Face DLCs provide ready-to-use, tested environments to train and deploy Hugging Face models. They can be used in combination with Google Cloud offerings including Google Kubernetes Engine (GKE) and Vertex AI. GKE is a fully-managed Kubernetes service in Google Cloud that can be used to deploy and operate containerized applications at scale using Google Cloud’s infrastructure. Vertex AI is a Machine Learning (ML) platform that lets you train and deploy ML models and AI applications, and customize Large Language Models (LLMs).",Ge,F,ye,E,dt="With the new Hugging Face DLCs, train cutting-edge Transformers-based NLP models in a single line of code. The Hugging Face PyTorch DLCs for training come with all the libraries installed to run a single command e.g. via TRL CLI to fine-tune LLMs on any setting, either single-GPU, single-node multi-GPU, and more.",Le,_,He,k,ht='In addition to Hugging Face DLCs, we created a first-class Hugging Face library for inference, <a href="https://github.com/huggingface/huggingface-inference-toolkit" rel="nofollow"><code>huggingface-inference-toolkit</code></a>, that comes with the Hugging Face PyTorch DLCs for inference, with full support on serving any PyTorch model on Google Cloud.',Ie,A,Ct='Deploy your trained models for inference with just one more line of code or select <a href="https://huggingface.co/models?library=pytorch,transformers&amp;sort=trending" rel="nofollow">any of the 170,000+ publicly available models from the model Hub</a> and deploy them on either Vertex AI or GKE.',Pe,U,Me,B,xt='Besides the PyTorch-oriented DLCs, Hugging Face also provides high-performance inference for both text generation and embedding models via the Hugging Face DLCs for both <a href="https://github.com/huggingface/text-generation-inference" rel="nofollow">Text Generation Inference (TGI)</a> and <a href="https://github.com/huggingface/text-embeddings-inference" rel="nofollow">Text Embeddings Inference (TEI)</a>, respectively.',De,K,bt='The Hugging Face DLC for TGI enables you to deploy <a href="https://huggingface.co/models?other=text-generation-inference&amp;sort=trending" rel="nofollow">any of the +140,000 text generation inference supported models from the Hugging Face Hub</a>, or any custom model as long as <a href="https://huggingface.co/docs/text-generation-inference/supported_models" rel="nofollow">its architecture is supported within TGI</a>.',Fe,R,vt='The Hugging Face DLC for TEI enables you to deploy <a href="https://huggingface.co/models?other=text-embeddings-inference&amp;sort=trending" rel="nofollow">any of the +10,000 embedding, re-ranking or sequence classification supported models from the Hugging Face Hub</a>, or any custom model as long as <a href="https://huggingface.co/docs/text-embeddings-inference/en/supported_models" rel="nofollow">its architecture is supported within TEI</a>.',Ee,V,wt="Additionally, these DLCs come with full support for Google Cloud meaning that deploying models from Google Cloud Storage (GCS) is also straight forward and requires no configuration.",_e,S,ke,z,Tt="Hugging Face DLCs feature built-in performance optimizations for PyTorch to train models faster. The DLCs also give you the flexibility to choose a training infrastructure that best aligns with the price/performance ratio for your workload.",Ae,q,$t='The Hugging Face Training DLCs are fully integrated with Google Cloud, enabling the use of <a href="https://cloud.google.com/products/compute?hl=en" rel="nofollow">the latest generation of instances available on Google Cloud Compute Engine</a>.',Ue,j,Gt="Hugging Face Inference DLCs provide you with production-ready endpoints that scale quickly with your Google Cloud environment, built-in monitoring, and a ton of enterprise features.",Be,Ke,Re,O,yt='Read more about both Vertex AI in <a href="https://cloud.google.com/vertex-ai/docs" rel="nofollow">their official documentation</a> and GKE in <a href="https://cloud.google.com/kubernetes-engine/docs" rel="nofollow">their official documentation</a>.',Ve,N,Se,Q,Lt="Learn how to use Hugging Face in Google Cloud by reading our blog posts, documentation and examples below.",ze,W,qe,X,Ht='<li><a href="https://huggingface.co/blog/gcp-partnership" rel="nofollow">Hugging Face and Google partner for open AI collaboration</a></li> <li><a href="https://huggingface.co/blog/tpu-inference-endpoints-spaces" rel="nofollow">Google Cloud TPUs made available to Hugging Face users</a></li> <li><a href="https://huggingface.co/blog/google-cloud-model-garden" rel="nofollow">Making thousands of open LLMs bloom in the Vertex AI Model Garden</a></li> <li><a href="https://huggingface.co/blog/llama31-on-vertex-ai" rel="nofollow">Deploy Meta Llama 3.1 405B on Google Cloud Vertex AI</a></li>',je,Y,Oe,J,It='<li><a href="https://cloud.google.com/deep-learning-containers/docs/choosing-container#hugging-face" rel="nofollow">Google Cloud Hugging Face Deep Learning Containers</a></li> <li><a href="https://console.cloud.google.com/artifacts/docker/deeplearning-platform-release/us/gcr.io" rel="nofollow">Google Cloud public Artifact Registry for DLCs</a></li> <li><a href="https://cloud.google.com/kubernetes-engine/docs/tutorials/serve-gemma-gpu-tgi" rel="nofollow">Serve Gemma open models using GPUs on GKE with Hugging Face TGI</a></li> <li><a href="https://cloud.google.com/vertex-ai/generative-ai/docs/open-models/use-hugging-face-models" rel="nofollow">Generative AI on Vertex - Use Hugging Face text generation models</a></li>',Ne,Z,Qe,ee,Pt='<li><a href="https://github.com/huggingface/Google-Cloud-Containers/tree/main/examples" rel="nofollow">All examples</a></li>',We,te,Xe,ne,Mt='<li><p>Training</p> <ul><li><a href="https://github.com/huggingface/Google-Cloud-Containers/blob/main/examples/gke/trl-full-fine-tuning" rel="nofollow">Full SFT fine-tuning of Gemma 2B in a multi-GPU instance with TRL on GKE</a></li> <li><a href="https://github.com/huggingface/Google-Cloud-Containers/blob/main/examples/gke/trl-lora-fine-tuning" rel="nofollow">LoRA SFT fine-tuning of Mistral 7B v0.3 in a single GPU instance with TRL on GKE</a></li></ul></li> <li><p>Inference</p> <ul><li><a href="https://github.com/huggingface/Google-Cloud-Containers/tree/main/examples/gke/tgi-deployment" rel="nofollow">Deploying Llama3 8B with Text Generation Inference (TGI) on GKE</a></li> <li><a href="https://github.com/huggingface/Google-Cloud-Containers/tree/main/examples/gke/tgi-from-gcs-deployment" rel="nofollow">Deploying Qwen2 7B Instruct with Text Generation Inference (TGI) from a GCS Bucket on GKE</a></li> <li><a href="https://github.com/huggingface/Google-Cloud-Containers/tree/main/examples/gke/tei-deployment" rel="nofollow">Deploying Snowflake’s Arctic Embed (M) with Text Embeddings Inference (TEI) on GKE</a></li> <li><a href="https://github.com/huggingface/Google-Cloud-Containers/tree/main/examples/gke/tei-from-gcs-deployment" rel="nofollow">Deploying BGE Base v1.5 (English) with Text Embeddings Inference (TEI) from a GCS Bucket on GKE</a></li></ul></li>',Ye,oe,Je,le,Dt='<li><p>Training</p> <ul><li><a href="https://github.com/huggingface/Google-Cloud-Containers/blob/main/examples/vertex-ai/notebooks/trl-full-sft-fine-tuning-on-vertex-ai" rel="nofollow">Full SFT fine-tuning of Mistral 7B v0.3 in a multi-GPU instance with TRL on Vertex AI</a></li> <li><a href="https://github.com/huggingface/Google-Cloud-Containers/blob/main/examples/vertex-ai/notebooks/trl-lora-sft-fine-tuning-on-vertex-ai" rel="nofollow">LoRA SFT fine-tuning of Mistral 7B v0.3 in a single GPU instance with TRL on Vertex AI</a></li></ul></li> <li><p>Inference</p> <ul><li><a href="https://github.com/huggingface/Google-Cloud-Containers/tree/main/examples/vertex-ai/notebooks/deploy-bert-on-vertex-ai" rel="nofollow">Deploying a BERT model for a text classification task using huggingface-inference-toolkit for a Custom Prediction Routine (CPR) on Vertex AI</a></li> <li><a href="https://github.com/huggingface/Google-Cloud-Containers/tree/main/examples/vertex-ai/notebooks/deploy-embedding-on-vertex-ai" rel="nofollow">Deploying an embedding model with Text Embeddings Inference (TEI) on Vertex AI</a></li> <li><a href="https://github.com/huggingface/Google-Cloud-Containers/tree/main/examples/vertex-ai/notebooks/deploy-gemma-on-vertex-ai" rel="nofollow">Deploying Gemma 7B Instruct with Text Generation Inference (TGI) on Vertex AI</a></li> <li><a href="https://github.com/huggingface/Google-Cloud-Containers/tree/main/examples/vertex-ai/notebooks/deploy-gemma-from-gcs-on-vertex-ai" rel="nofollow">Deploying Gemma 7B Instruct with Text Generation Inference (TGI) from a GCS Bucket on Vertex AI</a></li> <li><a href="https://github.com/huggingface/Google-Cloud-Containers/tree/main/examples/vertex-ai/notebooks/deploy-flux-on-vertex-ai" rel="nofollow">Deploying FLUX with Hugging Face PyTorch DLCs for Inference on Vertex AI</a></li></ul></li> <li><p>Evaluation</p> <ul><li><a href="https://github.com/huggingface/Google-Cloud-Containers/tree/main/examples/vertex-ai/notebooks/evaluate-llms-with-vertex-ai" rel="nofollow">Evaluating open LLMs with Vertex AI and Gemini</a></li></ul></li>',Ze,ie,et,re,tt;return C=new d({props:{title:"Hugging Face on Google Cloud",local:"hugging-face-on-google-cloud",headingTag:"h1"}}),T=new d({props:{title:"Train and Deploy Models on Google Cloud with Hugging Face Deep Learning Containers",local:"train-and-deploy-models-on-google-cloud-with-hugging-face-deep-learning-containers",headingTag:"h2"}}),M=new d({props:{title:"Features & benefits 🔥",local:"features--benefits-",headingTag:"h2"}}),F=new d({props:{title:"One command is all you need",local:"one-command-is-all-you-need",headingTag:"h3"}}),_=new d({props:{title:"Accelerate machine learning from science to production",local:"accelerate-machine-learning-from-science-to-production",headingTag:"h3"}}),U=new d({props:{title:"High-performance text generation and embedding",local:"high-performance-text-generation-and-embedding",headingTag:"h3"}}),S=new d({props:{title:"Built-in performance",local:"built-in-performance",headingTag:"h3"}}),N=new d({props:{title:"Resources, Documentation & Examples 📄",local:"resources-documentation--examples-",headingTag:"h2"}}),W=new d({props:{title:"Blog posts",local:"blog-posts",headingTag:"h3"}}),Y=new d({props:{title:"Documentation",local:"documentation",headingTag:"h3"}}),Z=new d({props:{title:"Examples",local:"examples",headingTag:"h3"}}),te=new d({props:{title:"GKE",local:"gke",headingTag:"h4"}}),oe=new d({props:{title:"Vertex AI",local:"vertex-ai",headingTag:"h4"}}),ie=new Vt({props:{source:"https://github.com/huggingface/Google-Cloud-Containers/blob/main/docs/source/index.mdx"}}),{c(){h=a("meta"),ge=l(),ae=a("p"),se=l(),s(C.$$.fragment),ue=l(),x=a("p"),x.innerHTML=ot,fe=l(),b=a("p"),b.textContent=lt,me=l(),v=a("p"),v.textContent=it,pe=l(),w=a("p"),w.innerHTML=at,ce=l(),s(T.$$.fragment),de=l(),$=a("p"),$.textContent=rt,he=l(),G=a("p"),G.textContent=gt,Ce=l(),y=a("p"),y.textContent=st,xe=l(),L=a("p"),L.innerHTML=ut,be=l(),H=a("p"),H.innerHTML=ft,ve=l(),I=a("p"),I.textContent=mt,we=l(),P=a("ol"),P.innerHTML=pt,Te=l(),s(M.$$.fragment),$e=l(),D=a("p"),D.textContent=ct,Ge=l(),s(F.$$.fragment),ye=l(),E=a("p"),E.textContent=dt,Le=l(),s(_.$$.fragment),He=l(),k=a("p"),k.innerHTML=ht,Ie=l(),A=a("p"),A.innerHTML=Ct,Pe=l(),s(U.$$.fragment),Me=l(),B=a("p"),B.innerHTML=xt,De=l(),K=a("p"),K.innerHTML=bt,Fe=l(),R=a("p"),R.innerHTML=vt,Ee=l(),V=a("p"),V.textContent=wt,_e=l(),s(S.$$.fragment),ke=l(),z=a("p"),z.textContent=Tt,Ae=l(),q=a("p"),q.innerHTML=$t,Ue=l(),j=a("p"),j.textContent=Gt,Be=l(),Ke=a("hr"),Re=l(),O=a("p"),O.innerHTML=yt,Ve=l(),s(N.$$.fragment),Se=l(),Q=a("p"),Q.textContent=Lt,ze=l(),s(W.$$.fragment),qe=l(),X=a("ul"),X.innerHTML=Ht,je=l(),s(Y.$$.fragment),Oe=l(),J=a("ul"),J.innerHTML=It,Ne=l(),s(Z.$$.fragment),Qe=l(),ee=a("ul"),ee.innerHTML=Pt,We=l(),s(te.$$.fragment),Xe=l(),ne=a("ul"),ne.innerHTML=Mt,Ye=l(),s(oe.$$.fragment),Je=l(),le=a("ul"),le.innerHTML=Dt,Ze=l(),s(ie.$$.fragment),et=l(),re=a("p"),this.h()},l(e){const t=Kt("svelte-u9bgzb",document.head);h=r(t,"META",{name:!0,content:!0}),t.forEach(n),ge=i(e),ae=r(e,"P",{}),Ft(ae).forEach(n),se=i(e),u(C.$$.fragment,e),ue=i(e),x=r(e,"P",{"data-svelte-h":!0}),g(x)!=="svelte-5bmp1t"&&(x.innerHTML=ot),fe=i(e),b=r(e,"P",{"data-svelte-h":!0}),g(b)!=="svelte-1xc3l3u"&&(b.textContent=lt),me=i(e),v=r(e,"P",{"data-svelte-h":!0}),g(v)!=="svelte-15of9o9"&&(v.textContent=it),pe=i(e),w=r(e,"P",{"data-svelte-h":!0}),g(w)!=="svelte-18g7ow5"&&(w.innerHTML=at),ce=i(e),u(T.$$.fragment,e),de=i(e),$=r(e,"P",{"data-svelte-h":!0}),g($)!=="svelte-19g98k1"&&($.textContent=rt),he=i(e),G=r(e,"P",{"data-svelte-h":!0}),g(G)!=="svelte-7tem3l"&&(G.textContent=gt),Ce=i(e),y=r(e,"P",{"data-svelte-h":!0}),g(y)!=="svelte-496whm"&&(y.textContent=st),xe=i(e),L=r(e,"P",{"data-svelte-h":!0}),g(L)!=="svelte-l6cz0x"&&(L.innerHTML=ut),be=i(e),H=r(e,"P",{"data-svelte-h":!0}),g(H)!=="svelte-rlga4q"&&(H.innerHTML=ft),ve=i(e),I=r(e,"P",{"data-svelte-h":!0}),g(I)!=="svelte-1rcb745"&&(I.textContent=mt),we=i(e),P=r(e,"OL",{"data-svelte-h":!0}),g(P)!=="svelte-ca3bc9"&&(P.innerHTML=pt),Te=i(e),u(M.$$.fragment,e),$e=i(e),D=r(e,"P",{"data-svelte-h":!0}),g(D)!=="svelte-wt21d7"&&(D.textContent=ct),Ge=i(e),u(F.$$.fragment,e),ye=i(e),E=r(e,"P",{"data-svelte-h":!0}),g(E)!=="svelte-17e46z3"&&(E.textContent=dt),Le=i(e),u(_.$$.fragment,e),He=i(e),k=r(e,"P",{"data-svelte-h":!0}),g(k)!=="svelte-t3ifdy"&&(k.innerHTML=ht),Ie=i(e),A=r(e,"P",{"data-svelte-h":!0}),g(A)!=="svelte-19nk44j"&&(A.innerHTML=Ct),Pe=i(e),u(U.$$.fragment,e),Me=i(e),B=r(e,"P",{"data-svelte-h":!0}),g(B)!=="svelte-1tu8rbr"&&(B.innerHTML=xt),De=i(e),K=r(e,"P",{"data-svelte-h":!0}),g(K)!=="svelte-1e1vasz"&&(K.innerHTML=bt),Fe=i(e),R=r(e,"P",{"data-svelte-h":!0}),g(R)!=="svelte-1c04c20"&&(R.innerHTML=vt),Ee=i(e),V=r(e,"P",{"data-svelte-h":!0}),g(V)!=="svelte-a2fp78"&&(V.textContent=wt),_e=i(e),u(S.$$.fragment,e),ke=i(e),z=r(e,"P",{"data-svelte-h":!0}),g(z)!=="svelte-jmp6ho"&&(z.textContent=Tt),Ae=i(e),q=r(e,"P",{"data-svelte-h":!0}),g(q)!=="svelte-19redkc"&&(q.innerHTML=$t),Ue=i(e),j=r(e,"P",{"data-svelte-h":!0}),g(j)!=="svelte-109zam3"&&(j.textContent=Gt),Be=i(e),Ke=r(e,"HR",{}),Re=i(e),O=r(e,"P",{"data-svelte-h":!0}),g(O)!=="svelte-1hcwah1"&&(O.innerHTML=yt),Ve=i(e),u(N.$$.fragment,e),Se=i(e),Q=r(e,"P",{"data-svelte-h":!0}),g(Q)!=="svelte-1v2qge2"&&(Q.textContent=Lt),ze=i(e),u(W.$$.fragment,e),qe=i(e),X=r(e,"UL",{"data-svelte-h":!0}),g(X)!=="svelte-17k7t5"&&(X.innerHTML=Ht),je=i(e),u(Y.$$.fragment,e),Oe=i(e),J=r(e,"UL",{"data-svelte-h":!0}),g(J)!=="svelte-hnzmg6"&&(J.innerHTML=It),Ne=i(e),u(Z.$$.fragment,e),Qe=i(e),ee=r(e,"UL",{"data-svelte-h":!0}),g(ee)!=="svelte-q49mqk"&&(ee.innerHTML=Pt),We=i(e),u(te.$$.fragment,e),Xe=i(e),ne=r(e,"UL",{"data-svelte-h":!0}),g(ne)!=="svelte-1bx1rt5"&&(ne.innerHTML=Mt),Ye=i(e),u(oe.$$.fragment,e),Je=i(e),le=r(e,"UL",{"data-svelte-h":!0}),g(le)!=="svelte-se98yr"&&(le.innerHTML=Dt),Ze=i(e),u(ie.$$.fragment,e),et=i(e),re=r(e,"P",{}),Ft(re).forEach(n),this.h()},h(){Et(h,"name","hf:doc:metadata"),Et(h,"content",zt)},m(e,t){Rt(document.head,h),o(e,ge,t),o(e,ae,t),o(e,se,t),f(C,e,t),o(e,ue,t),o(e,x,t),o(e,fe,t),o(e,b,t),o(e,me,t),o(e,v,t),o(e,pe,t),o(e,w,t),o(e,ce,t),f(T,e,t),o(e,de,t),o(e,$,t),o(e,he,t),o(e,G,t),o(e,Ce,t),o(e,y,t),o(e,xe,t),o(e,L,t),o(e,be,t),o(e,H,t),o(e,ve,t),o(e,I,t),o(e,we,t),o(e,P,t),o(e,Te,t),f(M,e,t),o(e,$e,t),o(e,D,t),o(e,Ge,t),f(F,e,t),o(e,ye,t),o(e,E,t),o(e,Le,t),f(_,e,t),o(e,He,t),o(e,k,t),o(e,Ie,t),o(e,A,t),o(e,Pe,t),f(U,e,t),o(e,Me,t),o(e,B,t),o(e,De,t),o(e,K,t),o(e,Fe,t),o(e,R,t),o(e,Ee,t),o(e,V,t),o(e,_e,t),f(S,e,t),o(e,ke,t),o(e,z,t),o(e,Ae,t),o(e,q,t),o(e,Ue,t),o(e,j,t),o(e,Be,t),o(e,Ke,t),o(e,Re,t),o(e,O,t),o(e,Ve,t),f(N,e,t),o(e,Se,t),o(e,Q,t),o(e,ze,t),f(W,e,t),o(e,qe,t),o(e,X,t),o(e,je,t),f(Y,e,t),o(e,Oe,t),o(e,J,t),o(e,Ne,t),f(Z,e,t),o(e,Qe,t),o(e,ee,t),o(e,We,t),f(te,e,t),o(e,Xe,t),o(e,ne,t),o(e,Ye,t),f(oe,e,t),o(e,Je,t),o(e,le,t),o(e,Ze,t),f(ie,e,t),o(e,et,t),o(e,re,t),tt=!0},p:kt,i(e){tt||(m(C.$$.fragment,e),m(T.$$.fragment,e),m(M.$$.fragment,e),m(F.$$.fragment,e),m(_.$$.fragment,e),m(U.$$.fragment,e),m(S.$$.fragment,e),m(N.$$.fragment,e),m(W.$$.fragment,e),m(Y.$$.fragment,e),m(Z.$$.fragment,e),m(te.$$.fragment,e),m(oe.$$.fragment,e),m(ie.$$.fragment,e),tt=!0)},o(e){p(C.$$.fragment,e),p(T.$$.fragment,e),p(M.$$.fragment,e),p(F.$$.fragment,e),p(_.$$.fragment,e),p(U.$$.fragment,e),p(S.$$.fragment,e),p(N.$$.fragment,e),p(W.$$.fragment,e),p(Y.$$.fragment,e),p(Z.$$.fragment,e),p(te.$$.fragment,e),p(oe.$$.fragment,e),p(ie.$$.fragment,e),tt=!1},d(e){e&&(n(ge),n(ae),n(se),n(ue),n(x),n(fe),n(b),n(me),n(v),n(pe),n(w),n(ce),n(de),n($),n(he),n(G),n(Ce),n(y),n(xe),n(L),n(be),n(H),n(ve),n(I),n(we),n(P),n(Te),n($e),n(D),n(Ge),n(ye),n(E),n(Le),n(He),n(k),n(Ie),n(A),n(Pe),n(Me),n(B),n(De),n(K),n(Fe),n(R),n(Ee),n(V),n(_e),n(ke),n(z),n(Ae),n(q),n(Ue),n(j),n(Be),n(Ke),n(Re),n(O),n(Ve),n(Se),n(Q),n(ze),n(qe),n(X),n(je),n(Oe),n(J),n(Ne),n(Qe),n(ee),n(We),n(Xe),n(ne),n(Ye),n(Je),n(le),n(Ze),n(et),n(re)),n(h),c(C,e),c(T,e),c(M,e),c(F,e),c(_,e),c(U,e),c(S,e),c(N,e),c(W,e),c(Y,e),c(Z,e),c(te,e),c(oe,e),c(ie,e)}}}const zt='{"title":"Hugging Face on Google Cloud","local":"hugging-face-on-google-cloud","sections":[{"title":"Train and Deploy Models on Google Cloud with Hugging Face Deep Learning Containers","local":"train-and-deploy-models-on-google-cloud-with-hugging-face-deep-learning-containers","sections":[],"depth":2},{"title":"Features & benefits 🔥","local":"features--benefits-","sections":[{"title":"One command is all you need","local":"one-command-is-all-you-need","sections":[],"depth":3},{"title":"Accelerate machine learning from science to production","local":"accelerate-machine-learning-from-science-to-production","sections":[],"depth":3},{"title":"High-performance text generation and embedding","local":"high-performance-text-generation-and-embedding","sections":[],"depth":3},{"title":"Built-in performance","local":"built-in-performance","sections":[],"depth":3}],"depth":2},{"title":"Resources, Documentation & Examples 📄","local":"resources-documentation--examples-","sections":[{"title":"Blog posts","local":"blog-posts","sections":[],"depth":3},{"title":"Documentation","local":"documentation","sections":[],"depth":3},{"title":"Examples","local":"examples","sections":[{"title":"GKE","local":"gke","sections":[],"depth":4},{"title":"Vertex AI","local":"vertex-ai","sections":[],"depth":4}],"depth":3}],"depth":2}],"depth":1}';function qt(nt){return At(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Qt extends Ut{constructor(h){super(),Bt(this,h,qt,St,_t,{})}}export{Qt as component};
